diff a/src/java.base/share/classes/jdk/internal/classfile/impl/ClassPrinterImpl.java b/src/java.base/share/classes/jdk/internal/classfile/impl/ClassPrinterImpl.java
--- a/src/java.base/share/classes/jdk/internal/classfile/impl/ClassPrinterImpl.java
+++ b/src/java.base/share/classes/jdk/internal/classfile/impl/ClassPrinterImpl.java
@@ -899,10 +899,13 @@
                     nodes.add(list("nest members", "member", nma.nestMembers().stream()
                             .map(mp -> mp.name().stringValue())));
                 case PermittedSubclassesAttribute psa ->
                     nodes.add(list("permitted subclasses", "subclass", psa.permittedSubclasses().stream()
                             .map(e -> e.name().stringValue())));
+                case PreloadAttribute pa ->
+                    nodes.add(list("preload classes", "class", pa.preloads().stream()
+                            .map(e -> e.name().stringValue())));
                 default -> {}
             }
             if (verbosity == Verbosity.TRACE_ALL) switch (attr) {
                 case EnclosingMethodAttribute ema ->
                     nodes.add(map("enclosing method",
